const sequelize = require("./dbConnect")
const userModel = require("./model/userModel")
const md5 = require("md5")
//将数据模型和表进行同步
async function test() {
    await sequelize.sync({
        alter: true
    })

    //将需要数据的表初始化
    const userCount = await userModel.count()
    if (!userCount) {
        //需要初始化
        await userModel.create({
            loginId: "test",
            loginPwd: md5("123")
        })

        console.log("用户数据初始化完毕")
    }

    console.log("数据库数据准备完成")
}
test()